/* Generic */


:root {
    --height: 100px;
}

.wrapper {
    display: flex;
}

/* Header */

.hd {
    align-items: center;
}

header {
    height: var(--height);
}

#logo {
    width: 300px;
    color: white;
    height: var(--height);
    cursor: pointer;
    user-select: none;
}

.hd-login, .hd-login:link {
    color: white;
    margin-right: 20px;
    margin-left: auto;
}

.hd-login:visited, .hd-login:active {
    color: white;
}

/* Content structure */

.left {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50vw;
}

.right {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50vw;
}

/* Login system */

.form-title {
    font-size: 2rem;
}

.clickable-text {
    color: blue;
    padding: 10px;
}

.clickable-text:visited, .clickable-text:active  {
    color: blue;
}

.form-container {
    display: flex;
    width: 400px;
    margin: 7vh auto 100px auto;
    padding: 50px 0;
    justify-content: center;
    border: 2px solid black;
}

.table-container {
    margin: 50px;
}

.form {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 5px;
}

.input-field, select {
    width: 300px;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

.input-field:focus {
    outline: solid grey 3px;
}

.submit-btn {
    width: 300px;
}

.error {
    color: red;
}

.success {
    color: green;
}

/* Welcome page */

table {
    margin-top: 10px;
}

tr, td {
    border: 1px solid black;
    padding: 0.5rem;
}

/* Class space */

.title-field {
    display: flex;
    align-items: baseline;
    gap: 20px;
    background-color: #faebff;
}

.title-field2 {
    display: flex;
    align-items: baseline;
    gap: 20px;
    background-color: #ffffff;
}

.change, .change:link {
    color: orange;
    padding: 10px;
    border: 1px solid orange;
    border-radius: 10px;
    user-select: none;
}

.change:hover {
    background-color: rgb(255, 231, 185);
}

.change:visited, .change:active {
    color: orange;
}

.disabled, .disabled:link{
    color: darkgrey;
    background-color: lightgrey;
    border: 1px solid darkgrey;
    pointer-events: none;
    padding: 10px;
    border-radius: 10px;
    user-select: none;
}

.disabled:visited, .cdisabled:active {
    color: darkgrey;
}


.title {
    padding: 25px 10px;
    font-size: 2rem;
}

/* Other */

h1 {
    font-size: 2.5rem;
    padding: 35px 20px;
    line-height: 40px;
}

a, a:link {
    text-decoration: none;
    color: inherit;
}

a:visited, a:active  {
    color: inherit;
}

.box {
    display: flex;
    flex-direction: column;
    gap: 30px;
    margin: 20px auto;
    width: 70%;
    min-height: calc(95vh - var(--height));
    background-color: rgba(0, 0, 0, 0.3);
    border: solid aliceblue 2px;
    border-radius: 15px;

}

.box-header {
    display: flex;
    align-items: baseline;
}

.header-button-box {
    margin-left: auto;
    margin-right: 10px;
}

#header-button {
    height: 50px;
    width: 320px;
    padding-right: 15px;
    text-align: right;
    font-size: 1.5rem;
    background-color: #d90769;
    color: inherit;
    border: solid aliceblue 2px;
    border-radius: 5px;
}

.lower-box {
    display: flex;
    min-height: calc(95vh - var(--height));
}

.lower-box2 {
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
    gap: 20px;
    margin: 30px;
    min-height: calc(95vh - var(--height));
}

.lower-box3 {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin: 30px;
    min-height: calc(95vh - var(--height));
}

.left-box {
    display: flex;
    align-items: center;
    width: 55%;
    flex-direction: column;
}

.right-box {
    display: flex;
    width: 45%;
    flex-direction: column;
}

.main-text {
    font-size: 2rem;
    text-align: center;
    margin-top: 20px;
}

.menu-select{
    text-align: left;
    height: 30vh;
    width: 25vw;
    margin: 30px;
    padding: 25px 50px;
    font-size:2rem;
    border: solid aliceblue 2px;
    border-radius: 10px;
    user-select: none;
    cursor: pointer;
}

.menu-select:hover{
    box-shadow: aliceblue 3px 3px 10px;
    background-color: inherit;
    color: inherit;
}

.saved-questionnaire{
    border: solid aliceblue 2px;
    border-radius: 15px;
    width: 250px;
    height: 150px;
}

.saved-questionnaire:hover{
    box-shadow: aliceblue 3px 3px 10px;
}

.add-btn-container {
    height: 45px;
    width: 130px;
    font-size: 1.2rem;
    text-align: right;
    background-color: #d90769;
    color: aliceblue;
    padding-right:10px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    user-select: none;
}

.add-btn-container:hover, .add-btn:hover{
    background-color: aliceblue;
    color: #d90769;
}

.add-btn {
    height: 45px;
    width: 130px;
    font-size: 1.2rem;
    text-align: right;
    background-color: #d90769;
    color: aliceblue;
    padding-right:10px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    user-select: none;
}

.select-btn-container {
    display: flex;
    height: 45px;
    width: 480px;
    font-size: 1.2rem;
    justify-content: flex-end;
    background-color: #d90769;
    color: aliceblue;
    padding-right:10px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    user-select: none;
}

.select-btn {
    background-color: #d90769;
    font-size: 1.2rem;
    color:aliceblue;
    border: none;
    margin:0;
    padding-left: 15px;
    padding-right: 15px;
    border-left: aliceblue dashed 2px;
}

.select-btn:hover {
    background-color: aliceblue;
    color:#d90769;
    border-left: #d90769 dashed 2px;
}

.close-btn {
    display: flex;
    height: 100%;
    width: 60px;
    background-color: #d90769;
    margin-right: auto;
    padding: 0;
    border-radius: 5px 0 0 5px;
}

.close-btn:hover {
    background-color: aliceblue;
}

/* Question boxes */

.question-box {
    min-height: 100px;
    padding: 20px 0 20px 0;
    margin-bottom: 20px;
    width: 100%;
    background-color: #d90769;
    border-radius: 10px;
}

.text-field {
    background-color: white;
    color: slategrey;
    line-height: 40px;
    padding-left: 20px;
    width: 90%;
    height: 40px;
    border-radius: 4px;
}

.question {
    display: inline-block;
    margin: 20px;
}

.choice-parent {
    display: flex;
}

.choice {
    margin: 0 20px 0 20px;
    border-bottom: solid slategrey 1px;
}

.delete-btn:hover {
    cursor: pointer;
    fill:#d90769;
}

.add-choice {
    background-color: darkblue;
    line-height: 40px;
    padding-left: 20px;
    font-weight: bold;
    width:90px;
    height: 40px;
    border-radius: 0 0 4px 4px;
    margin: 0 20px 0 20px;
    user-select: none;
}

.add-choice:hover {
    background-color: aliceblue;
    color: darkblue;
}

.checked {
    color: darkblue;
}

.star-rating {
    margin-left: 20px;
}

.fa {
    font-size: 3rem;
 }

 .fa:hover {
     color: lightslategray;
 }

.ok-btn {
    height: 40px;
    width: 120px;
    margin-right: 55px;
    line-height: 40px;
    font-weight: bold;
    text-align: center;
    color: aliceblue;
    background-color: darkblue;
    float: right;
    border-radius: 5px;
    cursor: pointer;
    user-select: none;
}

.ok-btn:hover {
background-color: aliceblue;
color: darkblue;
}

.question-box-inactive {
    display: none;
    border: 1px solid aliceblue;
    border-radius: 10px;
}

.question-box-inactive:hover {
    box-shadow: aliceblue 3px 3px 10px ;
}

.inactive-question {
    font-weight: bold;
    margin: 20px;
}

.inactive-choice {
    margin: 20px;
}

#multiple-possible {
    margin: 20px 0 0 20px;
}

#mandatory {
    margin: 20px 0 0 20px;
}

#questionnaire-name-input {
    background-color: inherit;
    color: inherit;
    border: none;
    font-size: 3rem;
    outline: none;
}

@media only screen and (max-width: 600px) {
    .home-text {
        top: 40px;
    }
    .home-content {
        justify-content: center;
        gap: 40px;
        flex-direction: column;
    }
    a, a:link{
        align-self: center;
    }
  }

/*Student side*/

.student-formulary {
    background-color: #faebff;
    padding: 15px 10px 15px 10px
}

.joined-form {
    display: flex;
    width: 100%;
}

#surname-input {
    height: 40px;
    margin-top: 10px;
    padding: 0 0 0 5px;
    font-size: 1.2rem;
    outline: none;
    border-radius: 0 10px 10px 0;
}

#name-input {
    height: 40px;
    margin-top: 10px;
    padding: 0 0 0 5px;
    font-size: 1.2rem;
    outline: none;
    border-radius: 0 10px 10px 0;
}

#email-input {
    height: 40px;
    margin-top: 10px;
    padding: 0 0 0 5px;
    font-size: 1.2rem;
    outline: none;
    border-radius: 0 10px 10px 0;
}

#student-certifications-input {
    width: 100%;
    max-width: 98%;
    margin-top: 10px;
    padding: 0 0 0 5px;
    font-size: 1.2rem;
    outline: none;
    border-radius: 10px;
    resize:vertical;
}

.main-labels {
    height: 40px;
    width: 70px;
    margin-top: 10px;
    padding: 0 5px 0 5px;
    background-color: #d90769;
    line-height: 40px;
    border-radius: 10px 0 0 10px;
}

.s-home-wrapper {
    width: 100%;
    height: calc(100vh - var(--height));
}

.side-menu {
    width: 198px;
    height: auto;
    float: left;
    border-right: solid aliceblue 2px;
    border-bottom: solid aliceblue 2px;

}

.right-content {
    width: calc(100vw - 240px);
    float: right;
    padding-top: 15px;
    height: calc(100vh - var(--height));
    background-color:rgb(11, 0, 77);
}

.menu-nav {
    height: 50px;
    border-bottom: solid aliceblue 1px;
    line-height: 52px;
    user-select: none;
    cursor: pointer;
}

.menu-nav:hover {
    background-color: aliceblue;
    color:rgb(11, 0, 77);
    box-shadow: aliceblue 0 3px 5px;
}

.menu-nav-active {
    height: 50px;
    font-weight: bold;
    border-bottom: solid aliceblue 1px;
    line-height: 52px;
    user-select: none;
    cursor: pointer;
}

.menu-nav-active:hover {
    background-color: aliceblue;
    color:rgb(11, 0, 77);
    box-shadow: aliceblue 0 3px 5px;
}

.nav-link {
    display: block;
    padding-left: 10px;
    width: calc(100% - 10px);
    height: 50px;
}

.standard-container {
    width: 78vw;
    margin:20px 0 20px 0;
    padding: 10px;
    border: solid aliceblue 2px;
    border-radius: 10px;
}

.invitation {
    display: grid;
    margin: 5px 0 5px 0;
    width:240px;

}

.invitation-text {
    grid-column: 1;
    width: 120px;
}

.join-class-btn {
    grid-column: 2;
    width: 100px;
    background-color:#d90769;
    text-align: center;
    border-radius: 10px;
}

.questionnaire-box {
    height: 50px;
    border-bottom: dashed aliceblue 2px;
}

.yes-no-field {
    display: flex;
}

.yes {
    width: 50px;
    margin: 10px 0 10px 0;
    padding: 10px;
    background-color:#d90769;
    text-align: center;
    border-radius: 15px 0 0 15px;
    cursor: pointer;
    user-select: none;
}

.yes:hover {
    background-color: aliceblue;
    color:#d90769;
}

.no {
    width: 50px;
    margin: 10px 0 10px 0;
    padding: 10px;
    background-color:#d90769;
    text-align: center;
    border-left: dashed white 2px;
    border-radius: 0 15px 15px 0;
    cursor: pointer;
    user-select: none;
}

.no:hover {
    background-color: aliceblue;
    color:#d90769;
    border-left: dashed #d90769 2px;
}

.generator-options {
    display: flex;
    flex-direction: column;
    width: 2000px;
    padding: 0 20px;
    height: calc(100vh - var(--height));
    float: left;
    background-color:#faebff;
}

.generator-content {
    width: calc(100vw - 200px);
    height: calc(100vh - var(--height) - 200px);
    padding: 10px;
    overflow-y: scroll;
    overflow-x: hidden;
    float: right;
    background-color: #f8f2fa;
}

.option-title {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    width: 100%;
    height: 80px;
    padding: 0;
}

.option {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    height: 80px;
    padding: 0;
}

.generate-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 80px;
    padding: 0;
    background-color: red;
}

.switch {
    position: relative;
    display: inline-block;
    width: 30px;
    height: 17px;
  }
  
  .switch input { 
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgb(145, 145, 145);
    -webkit-transition: .4s;
    transition: .4s;
    border-radius: 34px;
  }
  
  .slider:before {
    position: absolute;
    content: "";
    height: 13px;
    width: 13px;
    left: 2px;
    bottom: 2px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
    border-radius: 50%;
  }
  
  input:checked + .slider {
    background-color: #2196F3;
  }
  
  input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
  }
  
  input:checked + .slider:before {
    -webkit-transform: translateX(8.5px);
    -ms-transform: translateX(8.5px);
    transform: translateX(8.5px);
  }

  .student-list {
    height: 200px;
    overflow-x: hidden;
    overflow-y: auto;
    scrollbar-width: thin;
  }

  .student-table {
    margin: auto;
  }

  .delete:hover {
    fill: red;
    cursor: pointer;
  }

  .btn-small, .btn-small:link {
    display: block;
    margin: 10px auto;
    padding: 10px;
    width: 50px;
    background-color: red;
    color: white;
    border-radius: 15px;
  }

  
.btn-small:visited, .btn-small:active  {
    color: white
}

.subject {
    margin: 10px 20px;
}

.profile {
    margin: 10px 20px;
}

.groups {
    margin: 10px 20px;
}

.flex-breaker {
    flex-basis: 100%;
    height: 0;
}

.group-name {
    width: 100%;
}